This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 995435 - Review Request: glassfish-transaction-api - Java JTA 1.2 API Design Specification
Review Request: glassfish-transaction-api - Java JTA 1.2 API Design Specifica...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 995433
  Show dependency treegraph
 
Reported: 2013-08-09 07:16 EDT by gil cattaneo
Modified: 2015-11-21 21:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-21 21:23:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-08-09 07:16:00 EDT
Spec URL: http://gil.fedorapeople.org/glassfish-transaction-api.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-transaction-api-1.2-1.fc19.src.rpm
Description: Project GlassFish Java Transaction API
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-08-09 07:19:05 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5797707
Comment 4 Upstream Release Monitoring 2015-11-06 09:07:43 EST
gil's scratch build of glassfish-transaction-api-1.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11726750
Comment 5 Tom "spot" Callaway 2015-11-10 15:07:24 EST
Good:

- rpmlint checks return:
glassfish-transaction-api.src: W: invalid-url Source0: glassfish-transaction-api-1.2.tar.xz
glassfish-transaction-api.noarch: W: no-documentation


- package meets naming guidelines
- package meets packaging guidelines
- license (CDDL or GPLv2 with exceptions) OK, text in %license, matches source
- spec file legible, in am. english
- source matches upstream (manual check okay)
- package compiles on f23 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- javadoc okay
- nothing in %doc affects runtime
- no need for .desktop file 

License tag should be "CDDL or GPLv2 with exceptions". Your current spec has "and". Please fix before import.

APPROVED.
Comment 6 gil cattaneo 2015-11-10 15:21:21 EST
(In reply to Tom "spot" Callaway from comment #5)

> License tag should be "CDDL or GPLv2 with exceptions". Your current spec has
> "and". Please fix before import.

Done

Spec URL: http://gil.fedorapeople.org/glassfish-transaction-api.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-transaction-api-1.2-1.fc23.src.rpm

Thanks!

Request for new package:
https://admin.fedoraproject.org/pkgdb/package/requests/1466
https://admin.fedoraproject.org/pkgdb/package/requests/1467
Comment 7 Gwyn Ciesla 2015-11-11 09:17:41 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/glassfish-transaction-api
Comment 8 gil cattaneo 2015-11-11 11:20:02 EST
I believe that this bug is fixed in glassfish-transaction-api-1.2-1.fc24,
So I am closing this bug now.
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11794099
Comment 9 Fedora Update System 2015-11-12 12:00:51 EST
glassfish-transaction-api-1.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5f695e8315
Comment 10 Fedora Update System 2015-11-13 00:29:15 EST
glassfish-transaction-api-1.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update glassfish-transaction-api'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5f695e8315
Comment 11 Fedora Update System 2015-11-21 21:23:45 EST
glassfish-transaction-api-1.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.